Skip to main content
GET
/
v2
/
integrations
/
connections
/
{connection_id}
/
webhook-logs
List Connection Webhook Logs
curl --request GET \
  --url https://api.example.com/v2/integrations/connections/{connection_id}/webhook-logs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "entity_id": "<string>",
      "entity_type": "<string>",
      "event_time": "2023-11-07T05:31:56Z",
      "event_name": "<string>",
      "payload": {},
      "processed_at": "2023-11-07T05:31:56Z",
      "received_at": "2023-11-07T05:31:56Z",
      "remote_entity_id": "<string>",
      "connection_id": "<string>",
      "object": "<string>"
    }
  ],
  "current_page": 0,
  "total_records": 1,
  "next_page": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

Query Parameters

page
integer
default:0

Page number, 0 indexed.

Required range: x >= 0
limit
integer
default:100

Number of records per page.

Required range: 1 <= x <= 500

Response

Successful Response

data
IntegrationConnectionWebhook · object[]
required

The list of records.

current_page
integer
default:0
required

The current page.

total_records
integer | null
required

Total number of records.

Required range: x >= 0
next_page
integer | null
required

The next page number, if one exists.